| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# IG::Lib::MatrixDto Class Reference

Data Transfer Object (DTO) for matrixs of type IG.Num.Matrix. Used to store, transfer, serialize and deserialize objects of type IMatrix. More...

Inheritance diagram for IG::Lib::MatrixDto:
[legend]
Collaboration diagram for IG::Lib::MatrixDto:
[legend]

List of all members.

## Public Member Functions
| MatrixDto ()
| Creates a DTO for storing state of a matrix object of any matrix type.
| MatrixDto (int rowCnt, int columnCnt)
| Creates a DTO for storing a matrix object of the Matrix type, with specified dimension.
override Matrix | CreateMatrix (int rowCnt, int columnCnt)
| Creates and returns a new matrix of the specified dimension.

## Detailed Description

Data Transfer Object (DTO) for matrixs of type IG.Num.Matrix. Used to store, transfer, serialize and deserialize objects of type IMatrix.

$A Igor Aug09;

## Constructor & Destructor Documentation

IG::Lib::MatrixDto::MatrixDto | ( |  | ) | `[inline]`

Creates a DTO for storing state of a matrix object of any matrix type.

IG::Lib::MatrixDto::MatrixDto | ( | int | rowCnt,
|  | int | columnCnt
| ) |  | `[inline]`

Creates a DTO for storing a matrix object of the Matrix type, with specified dimension.

Parameters:

  rowCnt | First dimension of the matrix (number of rows).
  columnCnt | Second dimension of the matrix (number of columns).

## Member Function Documentation

override Matrix IG::Lib::MatrixDto::CreateMatrix | ( | int | rowCnt,
|  | int | columnCnt
| ) |  | `[inline]`

Creates and returns a new matrix of the specified dimension.

Parameters:

  rowCnt | First dimension of the matrix (number of rows).
  columnCnt | Second dimension of the matrix (number of columns).

Reimplemented from IG::Lib::MatrixDtoBase.

The documentation for this class was generated from the following file:

- MatrixDto.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events